# SSI Contexts - Licenses

## W3C context files

The Security Vocabulary: https://w3c-ccg.github.io/security-vocab/  
Verifiable Credentials Data Model: https://www.w3.org/TR/vc-data-model/  
Decentralized Identifiers (DIDs): https://www.w3.org/TR/did-core/  
ODRL Vocabulary & Expression: https://www.w3.org/TR/odrl-vocab/  
Ed25519 Signature 2018: https://github.com/w3c-ccg/lds-ed25519-2018  
JSON Web Signature 2020: https://github.com/w3c-ccg/lds-jws2020/  
Decentralized Identifier Resolution (DID Resolution): https://github.com/w3c-ccg/did-resolution/  
Vaccination Certificate Vocabulary: https://w3c-ccg.github.io/vaccination-vocab  
Traceability Vocabulary: https://github.com/w3c-ccg/traceability-vocab  
Citizenship Vocabulary: https://github.com/w3c-ccg/citizenship-vocab/
Revocation List 2020: https://w3c-ccg.github.io/vc-status-rl-2020/
BBS+ Signatures 2020: https://w3c-ccg.github.io/ldp-bbs2020/
Ethereum EIP-712 Signature 2021: https://github.com/w3c-ccg/ethereum-eip712-signature-2021-spec/
Verifiable Driver's License Vocabulary: https://w3id.org/vdl
Universal Wallet 2020: https://w3id.org/wallet

Copyright © 2018-2021 World Wide Web Consortium, (Massachusetts Institute of Technology, European Research Consortium for Informatics and Mathematics, Keio University, Beihang). All Rights Reserved. This work is distributed under the [W3C® Software and Document License][1] in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

[1]: http://www.w3.org/Consortium/Legal/copyright-software

## Schema.org context files

Copyright in the schema by the sponsors of schema.org (Google, Inc., Yahoo, Inc., Microsoft Corporation and Yandex) are licensed to website publishers and other third parties under the Creative Commons Attribution-ShareAlike License (version 3.0) according to their Terms of Service, please visit https://schema.org/docs/terms.html. To view a copy of this license, please visit http://creativecommons.org/licenses/by-sa/3.0/.

## DIF context files

- [EcdsaSecp256k1RecoverySignature2020](https://github.com/decentralized-identity/EcdsaSecp256k1RecoverySignature2020/) - [Apache License, Version 2.0](http://www.apache.org/licenses/)
- [Presentation Exchange](https://github.com/decentralized-identity/presentation-exchange/)

## Other context files

- [Blockchain Vocabulary](https://github.com/OR13/lds-blockchain2021/) - Orie Steele - [Apache License, Version 2.0](http://www.apache.org/licenses/)
- [Authorization Capabilities (zCap) Context](https://w3id.org/zcap) - Digital Bazaar - [BSD 3-Clause](https://digitalbazaar.github.io/zcap-context/LICENSE)
